|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

[Next: Using qmake]

# qmake Manual

`qmake` is an tool from Trolltech that helps simplify the build process for development project across different platforms. `qmake` automates the generation of Makefiles so that only a few lines of information are needed to create each Makefile. `qmake` can be used for any software project, whether it is written in Qt or not.

`qmake` generates a Makefile based on the information in a project file. Project files are created by the developer, and are usually simple, but more sophisticated project files can be created for complex projects. `qmake` contains additional features to support development with Qt, automatically including build rules for moc and uic. `qmake` can also generate projects for Microsoft Visual studio without requiring the developer to change the project file.

Table of contents:

- Using qmake
  - Describing a Project
  - Building a Project
- qmake Project Files
  - Project File Elements
  - Variables
  - Comments
  - Built-in Functions and Control Flow
  - Project Templates
  - General Configuration
  - Declaring Qt Libraries
  - Configuration Features
- Running qmake
  - Command-Line Options
  - Syntax
  - Options
  - Makefile Mode Options
  - Project Mode Options
- qmake Advanced Usage
  - Operators
  - Scopes
  - Scopes and Conditions
  - Configuration and Scopes
  - Platform Scope Values
  - Variables
  - Variable Processing Functions
  - Conditional Functions
  - Adding New Configuration Features
- qmake Reference
  - Variable Reference
  - Function Reference
  - Frequently Used Variables
  - Environment Variables and Configuration

Getting Started:

- qmake Tutorial
  - Starting off Simple
  - Making an Application Debuggable
  - Adding Platform-Specific Source Files
  - Stopping qmake If a File Doesn't Exist
  - Checking for More than One Condition
- qmake Common Projects
  - Building an Application
  - The `app` Template
  - Building a Library
  - The `lib` Template

[Next: Using qmake]